Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class TTFParser

    java.lang.Object
      org.pdfbox.ttf.TTFParser

public class TTFParser
extends Object

A true type font file parser.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`TTFParser()`

Method Summary
`TrueTypeFont` | `parseTTF(File ttfFile)` Parse a file and get a true type font.
`TrueTypeFont` | `parseTTF(String ttfFile)` Parse a file and get a true type font.
`TrueTypeFont` | `parseTTF(TTFDataStream raf)` Parse a file and get a true type font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFParser

    public TTFParser()

Method Detail

### parseTTF

    public TrueTypeFont parseTTF(String ttfFile)
                          throws IOException

  Parse a file and get a true type font.

  Parameters:
    `ttfFile` - The TTF file.
  Returns:
    A true type font.
  Throws:
    `IOException` - If there is an error parsing the true type font.

### parseTTF

    public TrueTypeFont parseTTF(File ttfFile)
                          throws IOException

  Parse a file and get a true type font.

  Parameters:
    `ttfFile` - The TTF file.
  Returns:
    A true type font.
  Throws:
    `IOException` - If there is an error parsing the true type font.

### parseTTF

    public TrueTypeFont parseTTF(TTFDataStream raf)
                          throws IOException

  Parse a file and get a true type font.

  Parameters:
    `raf` - The TTF file.
  Returns:
    A true type font.
  Throws:
    `IOException` - If there is an error parsing the true type font.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD